
  def gitUrl =  "https://github.com/gajendrularamarao/fedci-pipelines.git"

job('school--main-build') {
   description "Builds MyProject from master branch."
    parameters {
        stringParam('COMMIT', 'HEAD', 'Commit to build')
    }
  
  logRotator {
        numToKeep(15)
    }
  
  scm {
    git {
      remote {
        url gitUrl.
        
      }
      branch("origin/master")
    }
    extensions {
                wipeOutWorkspace()
                localBranch master
            }
  }
  steps {
    gradle {
      useWrapper(true)
      makeExecutable(true)
      tasks('clean build')
      switches('-g . --no-daemon')
      fromRootBuildScriptDir(true)
    }
  }

  triggers {
    scm('* * * * *') {
      ignorePostCommitHooks()
    }
  }
 
}

listView('School_jobs') {
    columns {
        status()
        weather()
        name()
        lastSuccess()
        lastFailure()
        lastDuration()
        buildButton()
    }
    jobs {
        name('school--main-build')
        
    }
}